Request OTP
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/utils/otp-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"accountNumber": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/utils/otp-request"
payload = { "accountNumber": "<string>" }
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accountNumber: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/utils/otp-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "OTP has been sent to the account holder's phone number"
"data": {
"accountNumber": "0987654321",
"otpReferenceId": "1234567890",
"expTime": "300"
},
"errors": []
}
Utilities
Request OTP
This endpoint generates a One-Time Password (OTP) and sends it to the phone number linked to the provided account number.
POST
/
utils
/
otp-request
Request OTP
Request OTP
Use this endpoint to generate a One-Time Password (OTP) for a specific account. The OTP will be sent to the phone number associated with the account.Additional Information
Note
- Use the default OTP 123456 when validating OTP requests on sandbox.
- All OTPs generated expire after 5 minutes.
- Any active OTP on an account will expire once a new OTP request is made for the same account number.
Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The account number for which the OTP is being generated.
Example:
Example:
0987654321{
"statusCode": 00,
"message": "OTP has been sent to the account holder's phone number"
"data": {
"accountNumber": "0987654321",
"otpReferenceId": "1234567890",
"expTime": "300"
},
"errors": []
}
Was this page helpful?
⌘I